import request from '@/utils/request'

// 列表
export function list(data){
  return request({
    url: `/deviceArticle/list`,
    method: 'post',
    data
  })
}

// 新增
export function create(data){
  return request({
    url: `/deviceArticle/add`,
    method: 'post',
    data
  })
}

// 详情
export function detail(query){
  return request({
    url: `/deviceArticle/findArticleById`,
    method: 'get',
    params: query
  })
}

// 修改
export function edit(data){
  return request({
    url: `/deviceArticle/edit`,
    method: 'post',
    data
  })
}

// 删除
export function remove(data){
  return request({
    url: `/deviceArticle/remove`,
    method: 'post',
    data
  })
}